library verilog;
use verilog.vl_types.all;
entity singleDelayWithEnableGeneric_1s is
    generic(
        bitwidth        : integer := 1
    );
    port(
        clk             : in     vl_logic;
        GlobalEnable1   : in     vl_logic;
        Frame_Clk       : in     vl_logic;
        GlobalReset     : in     vl_logic;
        rst             : out    vl_logic
    );
end singleDelayWithEnableGeneric_1s;
